Get business profile
curl --request GET \
--url https://b2b-api-sandbox.easyonramp.com/api/v1/business \
--header 'Authorization: Bearer <token>'const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://b2b-api-sandbox.easyonramp.com/api/v1/business', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://b2b-api-sandbox.easyonramp.com/api/v1/business"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://b2b-api-sandbox.easyonramp.com/api/v1/business"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}{
"id": "<string>",
"name": "Acme Trading",
"kybStatus": "pending",
"email": "<string>",
"phoneDialCode": "<string>",
"phoneNumber": "<string>",
"verificationUrl": "<string>"
}Business
Get business profile
Returns your business account details and business verification status. If business verification is still required, the response includes a link to complete it.
GET
/
api
/
v1
/
business
Get business profile
curl --request GET \
--url https://b2b-api-sandbox.easyonramp.com/api/v1/business \
--header 'Authorization: Bearer <token>'const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://b2b-api-sandbox.easyonramp.com/api/v1/business', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://b2b-api-sandbox.easyonramp.com/api/v1/business"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://b2b-api-sandbox.easyonramp.com/api/v1/business"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}{
"id": "<string>",
"name": "Acme Trading",
"kybStatus": "pending",
"email": "<string>",
"phoneDialCode": "<string>",
"phoneNumber": "<string>",
"verificationUrl": "<string>"
}Authorizations
Bearer JWT issued to your business account during onboarding
Response
200 - application/json
Business display name
Example:
"Acme Trading"
Available options:
new, pending, approved, rejected, declined Example:
"pending"
KYB verification link when business verification is required. Omitted when kybStatus is approved.